// Example BV4603/4
// DC motor
//
#include <Wire.h>
#include <bv4603_4_I.h>

// These are the A pins
// A5 = SCL
// A4 = SDA

// constructor 
MOTOR motor(0x32); // 0x32 for BV4604, 0x31 for BV4603

void setup()  {
  Serial.begin(9600);
  // This is not necessary for DC motors so leave comented
  //motor.eeWrite(20,0); // set serial mode, rem this out after one use
}

// example for DC motor  
void loop() {
  // example just one motor
//  motor.DC1(1023,1);
//  delay(5000);
//  motor.DC1(1023,0);
//  delay(200);
//  motor.DC1(1023,2);
//  delay(5000);
//  motor.DC1(1023,0);
//  while(1);
  // example 2 motors - no soft start
  motor.DC3(1023,1,1023,1);
  delay(2000);
  motor.DC3(1023,2,1023,2);
  delay(2000);
  motor.DC3(1023,0,1023,0);
  while(1);
}



